
import 'package:flutter/material.dart';

import 'sub_components/charts/progress_charts_overview.dart';
import 'sub_components/list_view/progress_all_meals_component.dart';

class ProgressPage extends StatefulWidget {
  final String title;
  final Color backgroundColor = const Color(0xff47a44b);

  const ProgressPage({Key? key, required this.title}) : super(key: key);

  String get getTitle => title;

  @override
  String toString({DiagnosticLevel minLevel = DiagnosticLevel.info}) {
    return getTitle;
  }

  @override
  State<StatefulWidget> createState() => ProgressState();
}

class ProgressState extends State<ProgressPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: SizedBox(
            width: double.infinity,
            height: double.infinity,
            child: SingleChildScrollView(
              child: Column(
                children: const [
                  ProgressChartsOverviewComponent(),
                  ProgressAllMealsComponent(),
                ],
              ),
            )));
  }
}
